<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc = "轧管文件管理">
<query id = "FrmTubeRollFileManage.queryPlineCode" desc = "查询产线">
<![CDATA[
SELECT T.PLINE_NAME,T.PLINE_CODE FROM COM_BASE_PLINE T WHERE T.VALIDFLAG='1'
]]>
</query>
<query id = "FrmTubeRollFileManage.GetPCode" desc = "查询产线">
<![CDATA[
SELECT T.PLINE_CODE,T.PLINE_NAME FROM COM_BASE_PLINE T WHERE T.VALIDFLAG='1'
]]>
</query>
<query id = "FrmTubeRollFileManage.getPlineCode" desc = "查询产线">
<![CDATA[
SELECT T.PLINE_CODE, T.PLINE_NAME
  FROM COM_BASE_PLINE T, YDM_BS_STORAGE T1
 WHERE T.VALIDFLAG = '1'
   AND T.PLINE_NAME = T1.STORAGE_ADDR_NAME
]]>
</query>
<query id = "FrmTubeRollFileManage.queryMinStgnature" desc = "查询轧管文件管理">
<![CDATA[
SELECT USERID_GRADE,PLINE_CODE, COL_GROUP, USER_ID,USER_NAME AS COL_USER, PROCESS_NO, SUBSTR(SIGN_ROUTE, INSTR(SIGN_ROUTE, '/', 1,4) +1) SIGN_ROUTE, REMARK,SIGN_ROUTE AS URL FROM MIL_SIGNATURE
WHERE 1=1 
]]>
</query>
<query id = "FrmTubeRollFileManage.queryMinStgnature1" desc = "查询轧管文件管理">
<![CDATA[
SELECT PLINE_CODE, COL_GROUP, USER_ID,USER_NAME AS COL_USER, 
PROCESS_NO, SUBSTR(SIGN_ROUTE, INSTR(SIGN_ROUTE, '/', 1,4) +1) SIGN_ROUTE, 
REMARK,SIGN_ROUTE AS URL FROM MIL_SIGNATURE
WHERE 1=1  
]]>
</query>
<query id = "FrmTubeRollFileManage.addMinStgnature" desc = "新增轧管文件管理">
<![CDATA[
INSERT INTO MIL_SIGNATURE
  (PLINE_CODE, COL_GROUP, SIGN_ROUTE,USER_NAME, REMARK,PROCESS_NO,IMAGE,USERID_GRADE)
VALUES
  (?, ?, ?, ?,?,?,?,?)
]]>
</query>
<query id = "FrmTubeRollFileManage.deleteMinStgnature" desc = "删除轧管文件管理">
<![CDATA[
DELETE MIL_SIGNATURE T
 WHERE USER_ID=?
]]>
</query>
<query id = "FrmTubeRollFileManage.updateMinStgnature" desc = "修改轧管文件管理">
<![CDATA[
UPDATE MIL_SIGNATURE
   SET USER_NAME = ?,REMARK = ?, SIGN_ROUTE = ?,  PROCESS_NO = ?,COL_GROUP=?,USERID_GRADE=?
 WHERE USER_ID = ?
]]>
</query>
<query id = "FrmTubeRollFileManage.updateMinStgnature1" desc = "修改路径">
<![CDATA[
UPDATE MIL_SIGNATURE
   SET SIGN_ROUTE = ?,
   IMAGE=?
 WHERE USER_ID = ?
]]>
</query>
<query id = "FrmTubeRollFileManage.queryMinStgnaturePlan" desc = "查询轧管文件管理">
<![CDATA[
  SELECT *
    FROM MIL_SIGNATURE
   WHERE PLINE_CODE=?
   AND COL_GROUP=?
   AND SIGN_ROUTE=?
     ]]>
</query>

<query id = "FrmTubeRollFileManage.queryMinStgnature2" desc = "查询轧管文件管理">
<![CDATA[
  SELECT SIGN_ROUTE
    FROM MIL_SIGNATURE
   WHERE USER_ID=?
    ]]>
</query>

<query id = "FrmTubeRollFileManage.querySameName" desc = "查询轧管文件管理">
<![CDATA[
  SELECT 1
    FROM MIL_SIGNATURE
   WHERE USER_NAME=?
    ]]>
</query>

<query id = "FrmTubeRollFileManage.querySameNameByUpdate" desc = "查询轧管文件管理">
<![CDATA[
  SELECT 1
    FROM MIL_SIGNATURE
   WHERE USER_NAME=? AND USER_ID <> ?
    ]]>
</query>



</queryMap>